Subject: Re: [PATCH] powerpc/kvm: support to handle sw breakpoint

From: Alexander Graf <[email-masked]>
Date: Tue, 17 Jun 2014 11:25:01 +0200

On 17.06.14 11:22, Benjamin Herrenschmidt wrote:
> On Tue, 2014-06-17 at 10:54 +0200, Alexander Graf wrote:
>> Also, why don't we use twi always or something else that actually is
>> defined as illegal instruction? I would like to see this shared with
>> book3s_32 PR.
> twi will be directed to the guest on HV no ? We want a real illegal
> because those go to the host (for potential emulation by the HV).

Ah, good point. I guess we need different one for PR and HV then to 
ensure compatibility with older ISAs on PR.

Alex

> I'm
> trying to see if I can get the architect to set one in stone in a future
> proof way.
>
> Cheers,
> Ben.
>